##
##  libnice.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         libnice
Summary:      ICE Library
URL:          https://libnice.freedesktop.org/
Vendor:       Collabora
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Networking
License:      MPL/LGPL
Version:      0.1.22
Release:      20240414

#   list of sources
Source0:      https://libnice.freedesktop.org/releases/libnice-%{version}.tar.gz
Patch0:       libnice.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, meson, ninja
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  glib
PreReq:       glib

%description
    Libnice is a library that implements the Interactive Connectivity
    Establishment (ICE) standard (RFC 5245 & RFC 8445). It provides a
    GLib-based library, libnice, as well as GStreamer elements to use
    it.

%track
    prog libnice = {
        version   = %{version}
        url       = https://libnice.freedesktop.org/
        regex     = libnice-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    export CC="%{l_cc}"
    export CFLAGS="%{l_cflags -O}"
    export CPPFLAGS="%{l_cppflags}"
    export LDFLAGS="%{l_ldflags}"
    meson build \
        --prefix %{l_prefix} \
        --buildtype release \
        --default-library static \
        --backend ninja
    ninja -C build

%install
    DESTDIR=$RPM_BUILD_ROOT ninja -C build install
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    mv  $RPM_BUILD_ROOT%{l_prefix}/libdata/pkgconfig \
        $RPM_BUILD_ROOT%{l_prefix}/lib/pkgconfig
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

